Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229296 - RHN Satellite Installer does not work with authenticating proxy
Summary: RHN Satellite Installer does not work with authenticating proxy
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer
Version: 410
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-20 00:09 UTC by Kyle Powell
Modified: 2007-08-06 16:56 UTC (History)
1 user (show)

Fixed In Version: sat500
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-26 03:00:11 UTC


Attachments (Terms of Use)

Description Kyle Powell 2007-02-20 00:09:17 UTC
Description of problem:
If the http proxy requires authentication, the installer will not prompt for the
user's password and the installation will fail.

Version-Release number of selected component (if applicable):
rhn-satellite-4.1.5-17-redhat-linux-as-i386-4-embedded-oracle.iso

Actual results:
[root@satellite iso]# ./install.pl 
* Starting the Red Hat Network Satellite installer.
* Performing pre-install checks.
* Pre-install checks complete.  Beginning installation.
Admin Email Address? foo@foo.org
* RHN Registration.
RHN Username? myaccount
RHN Password? 
HTTP Proxy Hostname? proxy.example.com
HTTP Proxy Port [8080]?
HTTP Proxy Username? foo
RHN Profile Name [satellite.example.com]? 

Expected results:
[root@satellite iso]# ./install.pl 
* Starting the Red Hat Network Satellite installer.
* Performing pre-install checks.
* Pre-install checks complete.  Beginning installation.
Admin Email Address? foo@foo.org
* RHN Registration.
RHN Username? myaccount
RHN Password? 
HTTP Proxy Hostname? proxy.example.com
HTTP Proxy Port [8080]?
HTTP Proxy Username? foo
HTTP Proxy Password?
RHN Profile Name [satellite.example.com]? 

Additional info:
Here's the broken code from install_main.pl. Notice the different variables for
the username (rhn-http-proxy-username / rhn_http_proxy_username):

    ask(-question => "HTTP Proxy Username",
        -answer => \$answers->{'rhn-http-proxy-username'},
        -test => sub { 1 },
        -default => '');

    if ($answers->{rhn_http_proxy_username}) {
      ask(-question => "HTTP Proxy Password",
          -answer => \$answers->{'rhn-http-proxy-password'},
          -test => sub { 1 },
          -password => 1,
          -default => '');
    }


--- install/install_main.pl     2006-11-02 10:50:12.000000000 -0500
+++ /sat-install/install/install_main.pl        2007-02-19 16:32:39.000000000 -0500
@@ -1767,7 +1767,7 @@
        -test => sub { 1 },
        -default => '');
 
-    if ($answers->{rhn_http_proxy_username}) {
+    if ($answers->{'rhn-http-proxy-username'}) {
       ask(-question => "HTTP Proxy Password",
          -answer => \$answers->{'rhn-http-proxy-password'},
          -test => sub { 1 },

Comment 1 Mike McCune 2007-03-01 20:33:35 UTC
[mmccune@cascade install]$ cvs commit
**** Access allowed: mmccune is in ACL for rhn/satellite/install.
Checking in install_main.pl;
/cvs/rhn/rhn/satellite/install/install_main.pl,v  <--  install_main.pl
new revision: 1.74; previous revision: 1.73
done


Comment 2 Mike McCune 2007-03-23 20:36:38 UTC
on-qa

Comment 3 wes hayutin 2007-03-26 20:09:10 UTC
I'll have to setup a proxy server to test this..

Comment 4 wes hayutin 2007-03-27 15:52:10 UTC
I see the updates in the scripts.. I am sure this passes.. but I am having
trouble getting the installer to prompt me for the proxy username and proxy
passwd durring the install...

The installer gets all the way through install w/o prompting for proxy user/pass

/etc/rhn/rhn.cfg
server.satellite.rhn_parent = satellite.rhn.webqa.redhat.com
server.satellite.http_proxy = rlx-3-18.rhndev.redhat.com
server.satellite.http_proxy_username =
server.satellite.http_proxy_password =
server.satellite.ca_chain = /usr/share/rhn/RHNS-CA-CERT

how can I get the install.pl script to promnpt?



Comment 5 Jan Pazdziora 2007-04-30 13:39:36 UTC
I believe this is now tracked with bug 202228, and a fix to install_main.pl in
revision 1.77. The installer will now ask for proxy information _if_ it finds
proxy configured in /etc/sysconfig/rhn/up2date.

Therefore I'm putting this back ON_QA.

Assigning this to myself, to take this this off Mike's queue for possible
kickbacks..

Comment 6 wes hayutin 2007-05-01 13:16:17 UTC
verified..

root@fjs-0-13 mnt]# ls
bootstrap  doc  install  install.pl  LICENSE  README  RPMS  updates
[root@fjs-0-13 mnt]# ./install.pl --answer-file=/root/answer
* Starting the Red Hat Network Satellite installer.
* Loading answer file: /root/answer.
* Performing pre-install checks.
* Pre-install checks complete.  Beginning installation.
Admin Email Address? whayutin@redhat.com
* RHN Registration.
RHN Username? whayutin
RHN Password?
HTTP Proxy Hostname? proxy.example.com
HTTP Proxy Port [8080]? 8080
HTTP Proxy Username? foo
HTTP Proxy Password?
RHN Profile Name [fjs-0-13.rhndev.redhat.com]?





Comment 7 Mike McCune 2007-06-18 21:33:15 UTC
moving to release_pending.

It behaved exactly as it does here in the related BZ:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=202228#c17



Comment 8 Brandon Perkins 2007-06-26 03:00:11 UTC
Closed for Satellite 500 Release.


Note You need to log in before you can comment on or make changes to this bug.